#include "triangles.h"
#include <iostream>
#include <vector>
#include <set>
#include <iomanip>
#include <map>
#include <random>
#include <ctime>
#include <algorithm>
#include <ctime>
#include <unordered_map>
#include <cmath>
#include <cstring>
#include <numeric>
#include <deque>
#include <iterator>

vector <vector <int>> solve(int n) {
	vector <vector <int>> ans;
	vector <Triangle> z;
	z = { {1, 2, 3}, {0, 2, 3}, {0, 1, 3}, {0, 1, 2} };
	if (compare({ z[0] }, { z[1], z[2], z[3] }) == 0) {
		ans = { {1, 2, 0}, {1, 3, 0}, {2, 3, 0} };
		return ans;
	}
	if (compare({ z[1] }, { z[0], z[2], z[3] }) == 0) {
		ans = { {0, 2, 1}, {0, 3, 1}, {2, 3, 1} };
		return ans;
	}
	if (compare({ z[2] }, { z[1], z[0], z[3] }) == 0) {
		ans = { {1, 0, 2}, {1, 3, 2}, {0, 3, 2} };
		return ans;
	}
	if (compare({ z[3] }, { z[1], z[2], z[0] }) == 0) {
		ans = { {1, 2, 3}, {1, 0, 3}, {2, 0, 3} };
		return ans;
	}
	for (int i = 0; i < 4; ++i) {
		for (int j = i + 1; j < 4; ++j) {
			if (compare({ z[i] }, { z[j] }) == 0) {
				ans = { {z[i].i, z[i].j, z[i].k}, {z[j].i, z[j].j, z[j].k} };
				return ans;
			}
		}
	}
	return ans;
}
